Bug 186441 - wrong db42 dependency for devel/apr1
wrong db42 dependency for devel/apr1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Olli Hauer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-04 08:40 UTC by timp87
Modified: 2014-03-22 23:45 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2014-02-04 08:40:00 UTC
According to 20131216 from /usr/ports/UPDATING, devel/apr1 should use databases/db5 or databases/db6 as dependency now, not databases/db42 or other databases/db4*.
Comment 1 Edwin Groothuis freebsd_committer 2014-02-04 08:40:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 ohauer 2014-02-07 05:54:37 UTC
Hi Timofeev,

devel/apr1 can use any Berkeley db starting from db42.

The the line 'USE_BDB=42+' is technical correct, but I see your intention.

Indeed Berkeley db is optional for apr.
In case you don't run subversion with a Berkeley DB backend or use the htdbm
utility explicit to create bdb databases it is save to switch this option to
OFF.

The correct way to use a higher DB version is
- using WITH_BDB_VER=XX in etc/make.conf
- install a higher version before building apr then this version is selected
- bumping the default version in Mk/bsd.database.mk


-- 
Regards,
olli
Comment 3 Olli Hauer freebsd_committer 2014-02-07 06:09:10 UTC
Responsible Changed
From-To: apache->ohauer

I'll take it
Comment 4 Olli Hauer freebsd_committer 2014-02-07 06:09:33 UTC
State Changed
From-To: open->analyzed

open -> analyzed
Comment 5 timp87 2014-02-07 07:07:28 UTC
Hi, Olli! Thank you for your reply!
I know about WITH_BDB_VER=XX in etc/make.conf, but it's a kind of
disadvantage from the box.
I would prefer a solution that didn't make me add something to
/etc/make.conf, because I don't care about what version of dbd I have.
Just don't ask me and install that software=).
But, OK. This PR can be closed.

2014-02-07 olli hauer <ohauer@gmx.de>:
> Hi Timofeev,
>
> devel/apr1 can use any Berkeley db starting from db42.
>
> The the line 'USE_BDB=42+' is technical correct, but I see your intention.
>
> Indeed Berkeley db is optional for apr.
> In case you don't run subversion with a Berkeley DB backend or use the htdbm
> utility explicit to create bdb databases it is save to switch this option to
> OFF.
>
> The correct way to use a higher DB version is
> - using WITH_BDB_VER=XX in etc/make.conf
> - install a higher version before building apr then this version is selected
> - bumping the default version in Mk/bsd.database.mk
>
>
> --
> Regards,
> olli
>
Comment 6 Olli Hauer freebsd_committer 2014-02-07 20:30:41 UTC
State Changed
From-To: analyzed->closed

Closed by submitters request
Comment 7 Olli Hauer freebsd_committer 2014-03-22 23:43:38 UTC
Class Changed
From-To: sw-bug->change-request

BDB dependeny was changed to 4.8+ together with an update of devel/apr1. 
http://svnweb.freebsd.org/ports?view=revision&revision=348807 

Thanks!